import utils from '@/utils/lib'

const Query = query => {
  return new Promise(resolve => {
    utils.SockEventMap.adminWorkerQueryRes = data => {
      utils.SockEventMap.adminWorkerQueryRes = undefined
      resolve(data)
    }
    utils.SendWss('adminWorkerQuery', query)
  })
}

const Update = info => {
  return new Promise((resolve, reject) => {
    utils.SockEventMap.adminWorkerUpdateRes = data => {
      utils.SockEventMap.adminWorkerUpdateRes = undefined
      if (data.status) {
        resolve()
      } else {
        reject(data.msg)
      }
    }
    utils.SendWss('adminWorkerUpdate', info)
  })
}

const Delete = ids => {
  return new Promise(resolve => {
    utils.SockEventMap.adminWorkerDeleteRes = data => {
      utils.SockEventMap.adminWorkerDeleteRes = undefined
      resolve(data)
    }
    utils.SendWss('adminWorkerDelete', ids)
  })
}

const Add = info => {
  return new Promise((resolve, reject) => {
    utils.SockEventMap.adminWorkerAddRes = data => {
      utils.SockEventMap.adminWorkerAddRes = undefined
      if (data.status) {
        resolve()
      } else {
        reject(data.msg)
      }
    }
    utils.SendWss('adminWorkerAdd', info)
  })
}

export default {
  Query, Update, Delete, Add
}

