import utils from '@/utils/lib'

const QueryUser = query => {
  return new Promise(resolve => {
    utils.SockEventMap.adminTradeQueryUserRes = data => {
      utils.SockEventMap.adminTradeQueryUserRes = undefined
      resolve(data)
    }
    utils.SendWss('adminTradeQueryUser', query)
  })
}

const Query = query => {
  return new Promise(resolve => {
    utils.SockEventMap.adminTradeQueryTradeRes = data => {
      utils.SockEventMap.adminTradeQueryTradeRes = undefined
      resolve(data)
    }
    utils.SendWss('adminTradeQueryTrade', query)
  })
}

const Refund = info => {
  return new Promise((resolve, reject) => {
    utils.SockEventMap.adminTradeRefundRes = data => {
      utils.SockEventMap.adminTradeRefundRes = undefined
      if (data.status) {
        resolve()
      } else {
        reject(data.msg)
      }
    }
    utils.SendWss('adminTradeRefund', info)
  })
}

export default {
  QueryUser, Query, Refund
}

