import utils from '@/utils/lib'

const Query = query => {
  return new Promise(resolve => {
    utils.SockEventMap.superConfigAdvertiseQueryRes = data => {
      utils.SockEventMap.superConfigAdvertiseQueryRes = undefined
      resolve(data)
    }
    utils.SendWss('superConfigAdvertiseQuery', query)
  })
}

const Update = info => {
  return new Promise((resolve, reject) => {
    utils.SockEventMap.superConfigAdvertiseUpdateRes = data => {
      utils.SockEventMap.superConfigAdvertiseUpdateRes = undefined
      if (data.status) {
        resolve()
      } else {
        reject(data.msg)
      }
    }
    utils.SendWss('superConfigAdvertiseUpdate', info)
  })
}

const Delete = ids => {
  return new Promise(resolve => {
    utils.SockEventMap.superConfigAdvertiseDeleteRes = data => {
      utils.SockEventMap.superConfigAdvertiseDeleteRes = undefined
      resolve(data)
    }
    utils.SendWss('superConfigAdvertiseDelete', ids)
  })
}

const Add = info => {
  return new Promise((resolve, reject) => {
    utils.SockEventMap.superConfigAdvertiseAddRes = data => {
      utils.SockEventMap.superConfigAdvertiseAddRes = undefined
      if (data.status) {
        resolve()
      } else {
        reject(data.msg)
      }
    }
    utils.SendWss('superConfigAdvertiseAdd', info)
  })
}

export default {
  Query, Update, Delete, Add
}

