import utils from '@/utils/lib'

const QueryManager = query => {
  return new Promise(resolve => {
    utils.SockEventMap.superConfigDeviceQueryManagerRes = data => {
      utils.SockEventMap.superConfigDeviceQueryManagerRes = undefined
      resolve(data)
    }
    utils.SendWss('superConfigDeviceQueryManager', query)
  })
}

const Query = query => {
  return new Promise(resolve => {
    utils.SockEventMap.superConfigDeviceQueryRes = data => {
      utils.SockEventMap.superConfigDeviceQueryRes = undefined
      resolve(data)
    }
    utils.SendWss('superConfigDeviceQuery', query)
  })
}

const Update = info => {
  return new Promise((resolve, reject) => {
    utils.SockEventMap.superConfigDeviceUpdateRes = data => {
      utils.SockEventMap.superConfigDeviceUpdateRes = undefined
      if (data.status) resolve()
      else reject(data.msg)
    }
    utils.SendWss('superConfigDeviceUpdate', info)
  })
}

const Assign = info => {
  return new Promise((resolve, reject) => {
    utils.SockEventMap.superConfigDeviceAssignRes = data => {
      utils.SockEventMap.superConfigDeviceAssignRes = undefined
      if (data.status) resolve()
      else reject(data.msg)
    }
    utils.SendWss('superConfigDeviceAssign', info)
  })
}

export default {
  QueryManager, Query, Update, Assign
}
