import utils from '@/utils/lib'

const Query = query => {
  return new Promise(resolve => {
    utils.SockEventMap.superConfigParamListRes = data => {
      utils.SockEventMap.superConfigParamListRes = undefined
      resolve(data)
    }
    utils.SendWss('superConfigParamList', query)
  })
}

const Update = info => {
  return new Promise((resolve, reject) => {
    utils.SockEventMap.superConfigParamUpdateRes = data => {
      utils.SockEventMap.superConfigParamUpdateRes = undefined
      if (data.status) {
        resolve()
      } else {
        reject(data.msg)
      }
    }
    utils.SendWss('superConfigParamUpdate', info)
  })
}

export default {
  Query, Update
}
