import utils from '@/utils/lib'

const Query = query => {
  return new Promise(resolve => {
    utils.SockEventMap.superConfigWineQueryRes = data => {
      utils.SockEventMap.superConfigWineQueryRes = undefined
      resolve(data)
    }
    utils.SendWss('superConfigWineQuery', query)
  })
}

const Update = info => {
  return new Promise((resolve, reject) => {
    utils.SockEventMap.superConfigWineUpdateRes = data => {
      utils.SockEventMap.superConfigWineUpdateRes = undefined
      if (data.status) {
        resolve()
      } else {
        reject(data.msg)
      }
    }
    utils.SendWss('superConfigWineUpdate', info)
  })
}

const Delete = ids => {
  return new Promise(resolve => {
    utils.SockEventMap.superConfigWineDeleteRes = data => {
      utils.SockEventMap.superConfigWineDeleteRes = undefined
      resolve(data)
    }
    utils.SendWss('superConfigWineDelete', ids)
  })
}

const Add = info => {
  return new Promise((resolve, reject) => {
    utils.SockEventMap.superConfigWineAddRes = data => {
      utils.SockEventMap.superConfigWineAddRes = undefined
      if (data.status) {
        resolve()
      } else {
        reject(data.msg)
      }
    }
    utils.SendWss('superConfigWineAdd', info)
  })
}

export default {
  Query, Update, Delete, Add
}
