import utils from '@/utils/lib'

const Query1 = query => {
  return new Promise(resolve => {
    utils.SockEventMap.superDashboardRankAdminsRes = data => {
      utils.SockEventMap.superDashboardRankAdminsRes = undefined
      resolve(data)
    }
    utils.SendWss('superDashboardRankAdmins', query)
  })
}
const QueryDetail = query => {
  return new Promise(resolve => {
    utils.SockEventMap.superDashboardQueryAdminRes = data => {
      utils.SockEventMap.superDashboardQueryAdminRes = undefined
      resolve(data)
    }
    utils.SendWss('superDashboardQueryAdmin', query)
  })
}

const Query2 = info => {
  return new Promise((resolve, reject) => {
    utils.SockEventMap.superDashboardRankDevicesRes = data => {
      utils.SockEventMap.superDashboardRankDevicesRes = undefined
      if (data.status) {
        resolve(data)
      } else {
        reject(data.msg)
      }
    }
    utils.SendWss('superDashboardRankDevices', info)
  })
}
const Query2Detail = query => {
  return new Promise(resolve => {
    utils.SockEventMap.superDashboardQueryDeviceRes = data => {
      utils.SockEventMap.superDashboardQueryDeviceRes = undefined
      resolve(data)
    }
    utils.SendWss('superDashboardQueryDevice', query)
  })
}

const Query3 = ids => {
  return new Promise(resolve => {
    utils.SockEventMap.superDashboardRankWinesRes = data => {
      utils.SockEventMap.superDashboardRankWinesRes = undefined
      resolve(data)
    }
    utils.SendWss('superDashboardRankWines', ids)
  })
}

const Query3Detail = query => {
  return new Promise(resolve => {
    utils.SockEventMap.superDashboardQueryWineRes = data => {
      utils.SockEventMap.superDashboardQueryWineRes = undefined
      resolve(data)
    }
    utils.SendWss('superDashboardQueryWine', query)
  })
}

const Query4 = info => {
  return new Promise((resolve, reject) => {
    utils.SockEventMap.superDashboardRankWorkersRes = data => {
      utils.SockEventMap.superDashboardRankWorkersRes = undefined
      if (data.status) {
        resolve(data)
      } else {
        reject(data.msg)
      }
    }
    utils.SendWss('superDashboardRankWorkers', info)
  })
}

const Query4Detail = query => {
  return new Promise(resolve => {
    utils.SockEventMap.superDashboardQueryWorkerRes = data => {
      utils.SockEventMap.superDashboardQueryWorkerRes = undefined
      resolve(data)
    }
    utils.SendWss('superDashboardQueryWorker', query)
  })
}

export default {
  Query1, QueryDetail, Query2, Query2Detail, Query3, Query3Detail, Query4, Query4Detail
}
