import utils from '@/utils/lib'

const QueryUser = query => {
  return new Promise(resolve => {
    utils.SockEventMap.superOrderTradeQueryUserRes = data => {
      utils.SockEventMap.superOrderTradeQueryUserRes = undefined
      resolve(data)
    }
    utils.SendWss('superOrderTradeQueryUser', query)
  })
}

const Query = query => {
  return new Promise(resolve => {
    utils.SockEventMap.superOrderTradeQueryTradeRes = data => {
      utils.SockEventMap.superOrderTradeQueryTradeRes = undefined
      resolve(data)
    }
    utils.SendWss('superOrderTradeQueryTrade', query)
  })
}

const Refund = info => {
  return new Promise((resolve, reject) => {
    utils.SockEventMap.superOrderTradeRefundRes = data => {
      utils.SockEventMap.superOrderTradeRefundRes = undefined
      if (data.status) {
        resolve()
      } else {
        reject(data.msg)
      }
    }
    utils.SendWss('superOrderTradeRefund', info)
  })
}

export default {
  QueryUser, Query, Refund
}

