import utils from '@/utils/lib'

const Query = query => {
  return new Promise(resolve => {
    utils.SockEventMap.superRoleAdminQueryRes = data => {
      utils.SockEventMap.superRoleAdminQueryRes = undefined
      resolve(data)
    }
    utils.SendWss('superRoleAdminQuery', query)
  })
}

const Update = info => {
  return new Promise((resolve, reject) => {
    utils.SockEventMap.superRoleAdminUpdateRes = data => {
      utils.SockEventMap.superRoleAdminUpdateRes = undefined
      if (data.status) {
        resolve()
      } else {
        reject(data.msg)
      }
    }
    utils.SendWss('superRoleAdminUpdate', info)
  })
}

const Delete = ids => {
  return new Promise(resolve => {
    utils.SockEventMap.superRoleAdminDeleteRes = data => {
      utils.SockEventMap.superRoleAdminDeleteRes = undefined
      resolve(data)
    }
    utils.SendWss('superRoleAdminDelete', ids)
  })
}

const Add = info => {
  return new Promise((resolve, reject) => {
    utils.SockEventMap.superRoleAdminAddRes = data => {
      utils.SockEventMap.superRoleAdminAddRes = undefined
      if (data.status) {
        resolve()
      } else {
        reject(data.msg)
      }
    }
    utils.SendWss('superRoleAdminAdd', info)
  })
}

export default {
  Query, Update, Delete, Add
}

